--Order 20010810.50

ALTER TABLE PRINTQUEUE
  DROP COLUMN JOBNUMBER;


ALTER TABLE PRINTQUEUERESIDENTIALITEM
  DROP COLUMN JOBNUMBER;



begin
execute immediate ('DROP INDEX XIE4PRINTQUEUE');
exception when others then null;
end;
/



begin
execute immediate ('DROP INDEX XIE1PRINTQUEUE');
exception when others then null;
end;
/



begin
execute immediate ('DROP INDEX XIE2PRINTQUEUE');
exception when others then null;
end;
/



begin
execute immediate ('DROP INDEX XAK1PRINTQUEUERESIDENTIALITEM');
exception when others then null;
end;
/



begin
execute immediate ('DROP INDEX XIE1PRINTQUEUERESIDENTIALITEM');
exception when others then null;
end;
/



begin
execute immediate ('DROP INDEX XIE2PRINTQUEUERESIDENTIALITEM');
exception when others then null;
end;
/



CREATE  INDEX XIE4PRINTQUEUE ON PRINTQUEUE
(LABELPRINTER_ID   ASC,PRINTQUEUE_ID   ASC)
TABLESPACE INDX;



CREATE  INDEX XIE2PRINTQUEUE ON PRINTQUEUE
(LABELPRINTER_ID   ASC,PROCESSED   ASC,PRINTQUEUE_ID   ASC)
TABLESPACE INDX;



CREATE  INDEX XIE1PRINTQUEUERESIDENTIALITEM ON PRINTQUEUERESIDENTIALITEM
(LABELPRINTER_ID   ASC,PROCESSED   ASC,PRINTQUEUERESIDENTIALITEM_ID   ASC)
TABLESPACE INDX;



CREATE  INDEX XIE13PRINTQUEUERESIDENTIALITEM ON PRINTQUEUERESIDENTIALITEM
(LABELPRINTER_ID   ASC,PRINTQUEUERESIDENTIALITEM_ID   ASC)
TABLESPACE INDX;


